package com.iamberry.wechat.core.entity.channel;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import  java.util.Date;
import  java.io.Serializable;
/**
 *  子渠道基本信息类
 * @author xm
 * @Date 2018-07-23
 */
public class ChildChannel  implements  Serializable{
    private static final long serialVersionUID = -3420411045049386434L;
    //渠道id
    private Integer childChannelId;
    //openid
    private String childChannelOpenId;
    //主渠道id
    private Integer mainChannelId;
    //渠道名称
    private String childChannelName;
    //对接人
    private String childChannelDockingName;
    //对接人手机
    private String childChannelDockingTel;
    //账户余额
    private Integer childChannelBalance;
    //账户银行
    private String childChannelBank;
    //账户银行账号
    private String childChannelBankAccount;
    //开户名称
    private String childChannelBankName;
    //开户支行
    private String childChannelBankBranch;
    //二维码地址
    private String childChannelQrcode;
    //状态1：使用中 2：未使用
    private Integer childChannelStatus;
    //备注
    private String childChannelDesc;
    //创建时间
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    private Date childChannelCreateTime;
    //修改时间
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    private Date childChannelUpdateTime;

    private String mainChannelName;

    private Integer rebackAmount;//账户余额

    public Integer getChildChannelId(){
        return childChannelId;
    }

    public void setChildChannelId(Integer  childChannelId){
        this.childChannelId=childChannelId;
    }

    public String getChildChannelOpenId(){
        return childChannelOpenId;
    }

    public void setChildChannelOpenId(String  childChannelOpenId){
        this.childChannelOpenId=childChannelOpenId;
    }

    public Integer getMainChannelId(){
        return mainChannelId;
    }

    public void setMainChannelId(Integer  mainChannelId){
        this.mainChannelId=mainChannelId;
    }

    public String getChildChannelName(){
        return childChannelName;
    }

    public void setChildChannelName(String  childChannelName){
        this.childChannelName=childChannelName;
    }

    public String getChildChannelDockingName(){
        return childChannelDockingName;
    }

    public void setChildChannelDockingName(String  childChannelDockingName){
        this.childChannelDockingName=childChannelDockingName;
    }

    public String getChildChannelDockingTel(){
        return childChannelDockingTel;
    }

    public void setChildChannelDockingTel(String  childChannelDockingTel){
        this.childChannelDockingTel=childChannelDockingTel;
    }

    public Integer getChildChannelBalance(){
        return childChannelBalance;
    }

    public void setChildChannelBalance(Integer  childChannelBalance){
        this.childChannelBalance=childChannelBalance;
    }

    public String getChildChannelBank(){
        return childChannelBank;
    }

    public void setChildChannelBank(String  childChannelBank){
        this.childChannelBank=childChannelBank;
    }

    public String getChildChannelBankAccount(){
        return childChannelBankAccount;
    }

    public void setChildChannelBankAccount(String  childChannelBankAccount){
        this.childChannelBankAccount=childChannelBankAccount;
    }

    public String getChildChannelBankName(){
        return childChannelBankName;
    }

    public void setChildChannelBankName(String  childChannelBankName){
        this.childChannelBankName=childChannelBankName;
    }

    public String getChildChannelBankBranch(){
        return childChannelBankBranch;
    }

    public void setChildChannelBankBranch(String  childChannelBankBranch){
        this.childChannelBankBranch=childChannelBankBranch;
    }

    public Integer getChildChannelStatus(){
        return childChannelStatus;
    }

    public void setChildChannelStatus(Integer  childChannelStatus){
        this.childChannelStatus=childChannelStatus;
    }

    public String getChildChannelDesc(){
        return childChannelDesc;
    }

    public void setChildChannelDesc(String  childChannelDesc){
        this.childChannelDesc=childChannelDesc;
    }

    public Date getChildChannelCreateTime(){
        return childChannelCreateTime;
    }

    public void setChildChannelCreateTime(Date  childChannelCreateTime){
        this.childChannelCreateTime=childChannelCreateTime;
    }

    public Date getChildChannelUpdateTime(){
        return childChannelUpdateTime;
    }

    public void setChildChannelUpdateTime(Date  childChannelUpdateTime){
        this.childChannelUpdateTime=childChannelUpdateTime;
    }

    public String getChildChannelQrcode() {
        return childChannelQrcode;
    }

    public void setChildChannelQrcode(String childChannelQrcode) {
        this.childChannelQrcode = childChannelQrcode;
    }

    public String getMainChannelName() {
        return mainChannelName;
    }

    public void setMainChannelName(String mainChannelName) {
        this.mainChannelName = mainChannelName;
    }

    public Integer getRebackAmount() {
        return rebackAmount;
    }

    public void setRebackAmount(Integer rebackAmount) {
        this.rebackAmount = rebackAmount;
    }
}